<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class ExportBelegungDirektObjekt extends ExportBelegung
{
  
  public function add($dm)
  {
    array_push($this->exportsets, $dm);
  }

  
  public function export()
  {
    $this->clearResult();
    for ($i = 0; $i < count($this->exportsets); $i++) {
      $tmp = $this->exportsets[$i];
      if (isset($tmp->id)) {
        array_push($this->exportresults, $tmp);
      }
    }
  }

  public function initiate()
  {
    ExportBasis::initiate();
  }
}